> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nugen.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Model

> Get one aligned model by ID.

**Returns:**

- `model_id`, `name`, `base_model`, `alignment_id`
- `deployment_status` (`READY`, `DEPLOYING`, `DEPLOYED`, `UNDEPLOYING`, `FAILED`), derived from the live deployment
- `created_at`, `updated_at`



## OpenAPI

````yaml https://api.nugen.in/openapi-public.json get /api/v3/models/{model_id}
openapi: 3.1.0
info:
  title: Nugen Intelligence API
  description: 'Nugen Intelligence : Powering Specialized Intelligence At Scale'
  version: 25.4.20
servers: []
security: []
paths:
  /api/v3/models/{model_id}:
    get:
      tags:
        - Models
      summary: Get Model
      description: >-
        Get one aligned model by ID.


        **Returns:**


        - `model_id`, `name`, `base_model`, `alignment_id`

        - `deployment_status` (`READY`, `DEPLOYING`, `DEPLOYED`, `UNDEPLOYING`,
        `FAILED`), derived from the live deployment

        - `created_at`, `updated_at`
      operationId: get_model
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            type: string
            title: Model Id
      responses:
        '200':
          description: >-
            Returns one aligned model: its id, name, base model, derived
            deployment status and timestamps.
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````